 class: CommandLineTool
 cwlVersion: v1.0
 doc: |
    "Tool:   bedClip - Remove lines from bed file that refer to off-chromosome places.
    usage:
       bedClip input.bed chrom.sizes output.bed
    chrom.sizes is a two-column file/URL: <chromosome name> <size in bases>
    If the assembly <db> is hosted by UCSC, chrom.sizes can be a URL like
      http://hgdownload.cse.ucsc.edu/goldenPath/<db>/bigZips/<db>.chrom.sizes
    or you may use the script fetchChromSizes to download the chrom.sizes file.
    If not hosted by UCSC, a chrom.sizes file can be generated by running
    twoBitInfo on the assembly .2bit file.
    options:
       -verbose=2 - set to get list of lines clipped and why"
 requirements:
    InlineJavascriptRequirement: {}
 hints:
    DockerRequirement:
      dockerPull: reddylab/ucsc-kentutils:1.0
 inputs:
    output_suffix:
      type: string
      default: .clip
    bed_file:
      type: File
      inputBinding:
        position: 1
      doc: Bed file to be clipped
    genome_sizes:
      type: File
      inputBinding:
        position: 2
      doc: "\tgenome_sizes is two column: <chromosome name> <size in bases>.\n"
 outputs:
    bed_file_clipped:
      type: File
      outputBinding:
        glob: $(inputs.bed_file.path.replace(/^.*[\\\/]/, '').replace(/\.[^/.]+$/, "") + inputs.output_suffix)
 baseCommand: bedClip
 arguments:
  - valueFrom: $(inputs.bed_file.path.replace(/^.*[\\\/]/, '').replace(/\.[^/.]+$/, "") + inputs.output_suffix)
    position: 3
